@echo off
rem ###########################################################################
rem ##                                                                       ##
rem ##  D B T U T O O L S / D B T U F F 2 C O D E . B A T                    ##
rem ##                                                                       ##
rem ## --------------------------------------------------------------------- ##
rem ##                                                                       ##
rem ##  Job .......: Wrapper for calling the Java interpreter with all       ##
rem ##               needed settings etc.                                    ##
rem ##                                                                       ##
rem ## --------------------------------------------------------------------- ##
rem ##                                                                       ##
rem ##  Copyright (C) 2002  Daniel Scheibli                                  ##
rem ##                                                                       ##
rem ##  This program is free software; you can redistribute it and/or        ##
rem ##  modify it under the terms of the GNU General Public License as       ##
rem ##  published by the Free Software Foundation; either version 2 of       ##
rem ##  the License, or (at your option) any later version.                  ##
rem ##                                                                       ##
rem ##  This program is distributed in the hope that it will be useful,      ##
rem ##  but WITHOUT ANY WARRANTY; without even the implied warranty of       ##
rem ##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        ##
rem ##  GNU General Public License for more details.                         ##
rem ##                                                                       ##
rem ##  You should have received a copy of the GNU General Public License    ##
rem ##  along with this program; if not, write to the Free Software          ##
rem ##  Foundation, Inc., 59 Temple Place - Suite 330, Boston,               ##
rem ##  MA 02111-1307, USA.                                                  ##
rem ##                                                                       ##
rem ## --------------------------------------------------------------------- ##
rem ##                                                                       ##
rem ##  Remark ....: <none>                                                  ##
rem ##                                                                       ##
rem ## --------------------------------------------------------------------- ##
rem ##                                                                       ##
rem ##  Author ....: Daniel Scheibli <daniel.scheibli@edelbyte.org>          ##
rem ##  Date ......: 2002-12-21                                              ##
rem ##  Changes ...: ----- dbtuff2code.bat V00.99/R020 --------------------- ##
rem ##               <none>                                                  ##
rem ##                                                                       ##
rem ###########################################################################



rem ##### Presettings
rem #--------------------------------------------------------------------------
set XX1PPID=
for /F "Tokens=*" %%I in ('dbtuapiwrapper.exe --request core.os.system.getprocessid --level 2 2>NUL') do set XX1PPID=%%I
rem #- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - --
rem ##### On error,...
if "%XX1PPID%" == "" (
 echo.
 echo ===^> ERROR: The current Process Id could not retrieved.
 echo.
 goto Exit
)
rem #--------------------------------------------------------------------------



rem ##### Call the program
rem #--------------------------------------------------------------------------
java -D"DBTUTOOLSHOME=%DBTUTOOLSHOME%" -D"DB2INSTANCE=%DB2INSTANCE%" -D"PPID=%XX1PPID%" org.dbtutools.DbtuTools.dbtuff2code %1 %2 %3 %4 %5 %6 %7 %8 %9
rem #--------------------------------------------------------------------------



rem ##### End of program
rem #--------------------------------------------------------------------------
:Exit
rem #--------------------------------------------------------------------------


